#!/usr/local/bin/ruby
require 'kde'
include Kde

myapp = KApplication.new([$0] + ARGV)
def myapp.pr v
print "Sline is #{v}\n"
end
mywidget = QWidget.new
mywidget.setGeometry( 400, 300, 320, 110)


myslider = KSlider.new( 0,               #// minimum value
                    99,                   #// maximum value
		    1,                   #// step
		    1,                   #// initial value
		    QSlider::Horizontal, #// orientation
		    mywidget )           #// parent

myslider.setGeometry( 10, 10, 300, 50)
myslider.setTickInterval(20)
myslider.setTickmarks(QSlider::NoMarks)

mylcdnum = QLCDNumber.new( 2,        #// number of digits
                      mywidget)      #// parent

mylcdnum.setGeometry( 60, 50, 50, 50)
#mylcdnum.display(0)

mylcdnum.connect( myslider, QSIGNAL('sliderMoved( int )'), QSLOT('display( int )'))

mybutton = QPushButton.new('λ',mywidget)
mybutton.setGeometry(130,70,30,20)
myapp.connect( mybutton, QSIGNAL('clicked()'), QSLOT('quit()'))
Qt::connect(myslider, QSIGNAL('sliderMoved( int )'),myapp,'pr')

myapp.setMainWidget( mywidget )
mywidget.show
myapp.exec

